#include <bits/stdc++.h>

using namespace std;

long long a[1000009];

int main()
{

    long long n, x;
    long long mini,maxi;

    cin>>n>>x;


    mini=x;
    maxi=x;

    for(long long i=0;i<n;i++)
    {cin>>a[i];

      if(a[i]<mini) mini=a[i];
      if(a[i]>maxi)  maxi=a[i];

    }

    cout<<x-mini+maxi-mini;

    return 0;
}